<template>
  <header class="mobile-header bg-white d-flex align-items-center d-lg-none pt-2">
    <div class="container">
      <div class="row">
        <div class="col">
          <section class="d-flex justify-content-between align-items-center">
            <nuxt-link to="/" class="mb-0">
              <img
                :src="appConfig.logo"
                alt="Logo Minimarket"
                class="logo"
              />
            </nuxt-link>

            <div class="options d-flex align-items-center">
              <button type="button" class="btn-icon mr-3" @click="search()">
                <i class="fas fa-search"></i>
              </button>

              <!-- <button type="button" class="btn-icon mr-3" @click="auth()">
                <i class="fas fa-user"></i>
              </button> -->

              <span class="font-weight-bold d-inline-block mr-2">Bienvenid@</span>

              <ShoppingCartCount class="mr-3" @click="cart()" />

              <button class="hamburger hamburger--collapse mb-1" :class="{'is-active': showNav}" type="button" @click="showNav = !showNav">
                <span class="hamburger-box">
                  <span class="hamburger-inner"></span>
                </span>
              </button>
            </div>
          </section>
        </div>
      </div>
    </div>

    <ModalSearch />

    <MobileNav :show="showNav" @close="showNav = false" />
  </header>
</template>

<script>
import { appConfig } from '@/app-config.js'

import ShoppingCartCount from '../ShoppingCartCount.vue'
import ModalSearch from './ModalSearch.vue'
import MobileNav from './MobileNav.vue'

export default {
  name: "MobileHeader",
  data() {
    return {
      appConfig,
      showNav: false
    }
  },
  components: {
      ShoppingCartCount,
      ModalSearch,
      MobileNav
  },
  methods: {
    search() {
      this.showNav = false
      this.$bvModal.show('modal-mobile-search')
    },
    auth() {
      this.showNav = false
      this.$bvModal.show('modal-auth')
    },
    cart() {
      this.showNav = false
    }
  }
};
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

.mobile-header {
  height: $header-mobile-height;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10;

  .logo {
    max-width: 120px;
  }

  .options button {
    width: 35px;
    height: 35px;
    background-color: transparent;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 1.2rem;
    color: $dark;
  }

  .hamburger {
    padding: 0 6px;
  }

  .hamburger-inner,
  .hamburger-inner:after,
  .hamburger-inner:before {
    width: 30px;
    height: 3px;
  }
}
</style>